WPSList::Level Struct Reference

small structure to keep information about a level More...

`#include <WPSList.h>`

## Public Member Functions
| Level ()
| basic constructor
bool | isDefault () const
| returns true if the level type was not set
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman
void | addTo (librevenge::RVNGPropertyList &propList, int startVal) const
| add the information of this level in the propList
bool | isSendToInterface () const
| returns true, if addTo has been called
void | resetSendToInterface () const
| reset the sendToInterface flag
int | getStartValue () const
| returns the start value (if set) or 1
int | cmp (Level const &levl) const
| full comparison function
int | cmpType (Level const &levl) const
| type comparison function

## Public Attributes
double | m_labelIndent
| the list indent
double | m_labelWidth
| the list width
int | m_startValue
| the actual value (if this is an ordered level )
libwps::NumberingType | m_type
| the type of the level
librevenge::RVNGString | m_prefix
| string which preceedes the number if we have an ordered level
librevenge::RVNGString | m_suffix
| string which follows the number if we have an ordered level
librevenge::RVNGString | m_bullet
| the bullet if we have an bullet level

## Protected Attributes
bool | m_sendToInterface
| true if it is already send to librevenge::RVNGTextInterface

## Friends
std::ostream & | operator<< (std::ostream &o, WPSList::Level const &ft)
| operator<<

## Detailed Description

small structure to keep information about a level

## Constructor & Destructor Documentation

## ◆ Level()

WPSList::Level::Level | ( |  | ) |
| inline

basic constructor

## Member Function Documentation

## ◆ addTo()

void WPSList::Level::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | int | startVal ) const

add the information of this level in the propList

## ◆ cmp()

int WPSList::Level::cmp | ( | WPSList::Level const & | levl | ) | const

full comparison function

## ◆ cmpType()

int WPSList::Level::cmpType | ( | WPSList::Level const & | levl | ) | const

type comparison function

Referenced by cmp(), and WPSList::set().

## ◆ getStartValue()

int WPSList::Level::getStartValue | ( |  | ) | const
| inline

returns the start value (if set) or 1

Referenced by WPSList::set().

## ◆ isDefault()

bool WPSList::Level::isDefault | ( |  | ) | const
| inline

returns true if the level type was not set

Referenced by XYWriteParser::update().

## ◆ isNumeric()

bool WPSList::Level::isNumeric | ( |  | ) | const
| inline

returns true if the list is decimal, alpha or roman

Referenced by WPS8TextStyle::readParagraph().

## ◆ isSendToInterface()

bool WPSList::Level::isSendToInterface | ( |  | ) | const
| inline

returns true, if addTo has been called

## ◆ resetSendToInterface()

void WPSList::Level::resetSendToInterface | ( |  | ) | const
| inline

reset the sendToInterface flag

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSList::Level const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_bullet

librevenge::RVNGString WPSList::Level::m_bullet

the bullet if we have an bullet level

Referenced by addTo(), cmp(), cmpType(), Level(), operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), and PocketWordParser::sendParagraph().

## ◆ m_labelIndent

double WPSList::Level::m_labelIndent

the list indent

Referenced by addTo(), cmp(), Level(), operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::sendParagraph(), and XYWriteParser::update().

## ◆ m_labelWidth

double WPSList::Level::m_labelWidth

the list width

Referenced by addTo(), cmp(), Level(), operator<<, and WPSContentListener::setParagraph().

## ◆ m_prefix

librevenge::RVNGString WPSList::Level::m_prefix

string which preceedes the number if we have an ordered level

Referenced by addTo(), cmpType(), Level(), operator<<, and XYWriteParser::update().

## ◆ m_sendToInterface

bool WPSList::Level::m_sendToInterface
| mutable protected

true if it is already send to librevenge::RVNGTextInterface

Referenced by addTo(), isSendToInterface(), Level(), and resetSendToInterface().

## ◆ m_startValue

int WPSList::Level::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), Level(), operator<<, WPS8TextStyle::readParagraph(), and WPSList::set().

## ◆ m_suffix

librevenge::RVNGString WPSList::Level::m_suffix

string which follows the number if we have an ordered level

Referenced by addTo(), cmpType(), Level(), operator<<, WPS8TextStyle::readParagraph(), and XYWriteParser::update().

## ◆ m_type

libwps::NumberingType WPSList::Level::m_type

the type of the level

Referenced by addTo(), cmpType(), isDefault(), isNumeric(), Level(), operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::sendParagraph(), and XYWriteParser::update().

The documentation for this struct was generated from the following files:

- WPSList.h
- WPSList.cpp